> ## Documentation Index
> Fetch the complete documentation index at: https://developer.bron.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Limits

> <sup>API Key permissions: View only, Transaction Operator, Full Access</sup>



## OpenAPI

````yaml /bron-open-api-public.json get /workspaces/{workspaceId}/transaction-limits
openapi: 3.1.1
info:
  description: >-
    Bron API is based on the RESTish interface provided for data exchange
    between a client and a server with the use of HTTPS requests and responses.
  title: Bron API
  version: latest
  x-bron-formats:
    bigint: Arbitrary-precision integer encoded as a JSON string.
    date-time-millis: >-
      Epoch milliseconds (UTC) encoded as a JSON string. Convert with `new
      Date(parseInt(value))` or equivalent.
    decimal: Arbitrary-precision decimal encoded as a JSON string.
    int32: 32-bit integer encoded as a JSON string.
    int64: >-
      Long integer encoded as a JSON string to preserve precision (e.g. account
      IDs).
servers:
  - description: app.bron.org
    url: https://api.bron.org
security: []
tags:
  - name: stake
  - name: balances
  - name: addresses
  - name: intents
  - name: assets
  - name: transaction-limits
  - name: canton
  - name: address-book
  - name: workspaces
  - name: accounts
  - name: transactions
paths:
  /workspaces/{workspaceId}/transaction-limits:
    get:
      tags:
        - transaction-limits
      summary: Get Transaction Limits
      description: >-
        <sup>API Key permissions: View only, Transaction Operator, Full
        Access</sup>
      parameters:
        - in: query
          name: limitIds
          required: false
          schema:
            items:
              type: string
            type: array
        - description: '[See details](/enums/TransactionLimitStatus)'
          in: query
          name: statuses
          required: false
          schema:
            items:
              $ref: '#/components/schemas/TransactionLimitStatus'
            type: array
        - in: query
          name: fromAccountIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: toAddressBookRecordIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: toAccountIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: appliesToUserIds
          required: false
          schema:
            items:
              type: string
            type: array
        - in: query
          name: limit
          required: false
          schema:
            format: int64
            type: string
        - in: query
          name: offset
          required: false
          schema:
            format: int64
            type: string
        - in: path
          name: workspaceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionLimits'
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - bad-request
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - forbidden
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: The machine-readable error code
                    examples:
                      - conflict
                    type: string
                  message:
                    description: >-
                      A human-readable message providing more details about the
                      error
                    type: string
                type: object
          description: Conflict
components:
  schemas:
    TransactionLimitStatus:
      enum:
        - new
        - active
        - deactivated
        - declined
      type: string
    TransactionLimits:
      properties:
        limits:
          items:
            $ref: '#/components/schemas/TransactionLimit'
          type: array
      required:
        - limits
      type: object
    TransactionLimit:
      properties:
        appliesTo:
          $ref: '#/components/schemas/LimitAppliesTo'
        createdAt:
          examples:
            - '1745344441863'
          format: date-time-millis
          type: string
        createdBy:
          examples:
            - w9jh0gf3w9qaxlre7enezt17
          type: string
        destinations:
          $ref: '#/components/schemas/LimitDestinations'
        externalId:
          examples:
            - pzkcv5thuuuk91hbv6qgko4x
          type: string
        limitId:
          examples:
            - m11gwfggyjcqyhwhjllzs8qq
          type: string
        limitRule:
          $ref: '#/components/schemas/LimitRule'
        limitType:
          $ref: '#/components/schemas/TransactionLimitType'
          description: '[See details](/enums/TransactionLimitType)'
        sources:
          $ref: '#/components/schemas/LimitSources'
        status:
          $ref: '#/components/schemas/TransactionLimitStatus'
          description: '[See details](/enums/TransactionLimitStatus)'
        transactionParams:
          $ref: '#/components/schemas/LimitTransactionParams'
        updatedAt:
          examples:
            - '1745344441863'
          format: date-time-millis
          type: string
        updatedBy:
          examples:
            - w9jh0gf3w9qaxlre7enezt17
          type: string
        workspaceId:
          examples:
            - e191u51yxnykins6fahd
          type: string
      required:
        - limitId
        - externalId
        - workspaceId
        - limitType
        - transactionParams
        - sources
        - destinations
        - appliesTo
        - limitRule
        - status
        - createdAt
      type: object
    LimitAppliesTo:
      properties:
        userIds:
          description: List of user IDs for which the limit will apply
          items:
            type: string
          type: array
      type: object
    LimitDestinations:
      properties:
        accountIds:
          description: Apply to withdrawals made to particular Accounts
          items:
            type: string
          type: array
        addressBookRecordIds:
          description: Apply to withdrawals made to particular Address Book records
          items:
            type: string
          type: array
        toAccounts:
          description: Apply to withdrawals made to Accounts
          type: boolean
        toAddressBook:
          description: Apply to withdrawals made to Address Book records
          type: boolean
        toExternalAddresses:
          description: Apply to all withdrawal to external (non Address Book) addresses
          type: boolean
      type: object
    LimitRule:
      properties:
        approve:
          $ref: '#/components/schemas/LimitRuleApprove'
        securityDelay:
          $ref: '#/components/schemas/LimitRuleSecurityDelay'
        skipApproval:
          type: boolean
      type: object
    TransactionLimitType:
      enum:
        - transactions-volume
        - transaction-amount
      type: string
    LimitSources:
      properties:
        accountIds:
          description: Apply to withdrawals made from accounts IDs
          items:
            type: string
          type: array
      type: object
    LimitTransactionParams:
      properties:
        aboveAmount:
          $ref: '#/components/schemas/LimitAmount'
        durationHours:
          examples:
            - '24'
          format: int32
          type: string
      type: object
    LimitRuleApprove:
      properties:
        authorisedApproversUserIds:
          description: List of users that are allowed to approve transactions
          items:
            type: string
          type: array
        numberOfApprovals:
          examples:
            - '2'
          format: int32
          type: string
      required:
        - numberOfApprovals
      type: object
    LimitRuleSecurityDelay:
      properties:
        durationHours:
          description: Duration of the transaction security delay in hours
          format: int32
          type: string
      required:
        - durationHours
      type: object
    LimitAmount:
      properties:
        amount:
          description: Amount in USD
          examples:
            - '1000'
          format: decimal
          type: string
      type: object

````